<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">acceleration_sensor.MEMS3AxisAccelerationSensor Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ab6c6cb2182362fe231ca031573af22a4">__init__</a>(self, str name, np.ndarray position, np.ndarray orientation, str database, int mode, bool digital, list sensor_range, float sensitivity, float sampling_rate, list scale_factor_error, float zero_offset, list random_noise, outputs, list cross_axis_coupling_factor=[0, 0, 0], float vibro_pendulous_error=0, bool active=True)</td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ada1234e365f26120778a854a61ca0655">column_names</a></td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ad4d7bc080fb20c99a066990975b64d1f">cross_axis_coupling_factor</a></td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ac50043ec19df5bdf9f6f9d04f480a1c1">g</a></td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a715d5a464c8e3a8c2e6b293b860f25bd">output</a>(self, simulated_time)</td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ae8a9d451ca80ca1d7af2db1a10d79897">random_noise</a></td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a638095ab6b0df530d9129b39919adf17">run</a>(self)</td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a54c0d6b2499bf056be3e50fe2c2b8e1d">sampling_rate</a></td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#aecc09c7dfa280da8dfa992e24fe1642f">scale_factor_error</a></td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a9ec0b1a2670e2835fc723027ae679f66">sensitivity</a></td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#ae4ac2a048ca5e597b8eaadcac2d9874f">sensor_range</a></td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#adf6645b3ab4e67b5b299fe7181a22f09">vibro_pendulous_error</a></td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a894a118da0e942084dc4393e5b03cf72">zero_offset</a></td><td class="entry"><a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html">acceleration_sensor.MEMS3AxisAccelerationSensor</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
